# book

**POST api/book**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "instrument": "BTC-USD",
    "tradable": true
}
```

{% endtab %}

{% tab title="Payload for Masters" %}

```json
{
    "instrument": "BTC-USD",
    "tradable": true,
    "clientId": 123
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
[
    [       // Bids
        [
            1100000000000,    // Price
            11000000          // Size
        ],
        [
            1099900000000,
            100000000
        ]
    ],
    [       // Asks
        [
            1100100000000,    // Price
            80000000          // Size
        ],
        [
            1100200000000,
            200000000
        ]
    ]
]
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Field name | Type           | Description                                                                                                     |
| ---------- | -------------- | --------------------------------------------------------------------------------------------------------------- |
| instrument | string         | Instrument name                                                                                                 |
| tradable   | boolean        | <p>Default: false</p><p>Whether to return Tradable order book. By default method returns Global order book.</p> |
| clientId   | unsigned int32 | Specify the sub-account ID (Only for Master Accounts)                                                           |

**Response description**

| Filed name | Type            | Description                             |
| ---------- | --------------- | --------------------------------------- |
|            | Array\[2]       | Book                                    |
| 0          | Array of Levels | Bid Levels (sorted by descending price) |
| 1          | Array of Levels | Ask Levels (sorted by ascending price)  |
| **Level**  | Array\[2]       |                                         |
| 0          | Efx::Price      | Level price                             |
| 1          | Efx::Size       | Level total size                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/book.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
